Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.util
Class NodeUtil

    java.lang.Object
      org.jboss.portal.cms.util.NodeUtil

    public class NodeUtil

extends java.lang.Object

Helper class for dealing with Nodes. Similar to common file utility functions, for now

Author:
  Roy Russo Date: Jun 13, 2005 Time: 2:37:45 PM

Field Summary
`static java.lang.String` | `PATH_SEPARATOR`

Constructor Summary
`NodeUtil()`

Method Summary
`static java.lang.String` | `getNodeName(java.lang.String path)` Returns the node name for a given basePath.
`static java.lang.String` | `getParentPath(java.lang.String sPath)` Returns the parent basePath of the Node.
`static boolean` | `isValidPath(java.lang.String sPath)` Validates basePath syntactically.
`static void` | `print(javax.jcr.Node node)` Prints node properties to std out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_SEPARATOR

    public static final java.lang.String PATH_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### NodeUtil

    public NodeUtil()

Method Detail

### getParentPath

    public static java.lang.String getParentPath(java.lang.String sPath)
                                          throws java.lang.Exception

  Returns the parent basePath of the Node.

  Parameters:
    `sPath` -
  Returns:
  Throws:
    `java.lang.Exception`

### getNodeName

    public static java.lang.String getNodeName(java.lang.String path)
                                        throws java.lang.Exception

  Returns the node name for a given basePath.

  Parameters:
    `path` -
  Returns:
  Throws:
    `java.lang.Exception`

### isValidPath

    public static boolean isValidPath(java.lang.String sPath)

  Validates basePath syntactically.

  Parameters:
    `sPath` -
  Returns:

### print

    public static void print(javax.jcr.Node node)

  Prints node properties to std out.

  Parameters:
    `node` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.